Package: groovy.util.slurpersupport

## [Java] Class NodeChildren

- groovy.util.slurpersupport.NodeChildren

-     @Deprecated
      public class NodeChildren
      extends GPathResult

  Lazy evaluated representation of child nodes.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeChildren (GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `NodeChildren (GPathResult parent, String name, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `NodeChildren (GPathResult parent, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendNode(Object newValue)`
    `` | `public void` | `build(GroovyObject builder)`
    `` | `public Iterator` | `childNodes()`
    `` | `public GPathResult` | `find(Closure closure)`
    `` | `public GPathResult` | `findAll(Closure closure)`
    `` | `protected Object` | `getNextNode(Iterator iter)`
    `` | `public boolean` | `hasNext()`
    `` | `public boolean` | `hasNext()`
    `` | `public Iterator` | `iterator()`
    `` | `public Object` | `next()`
    `` | `public Object` | `next()`
    `` | `public Iterator` | `nodeIterator()`
    `` | `public GPathResult` | `parents()` Throws a `GroovyRuntimeException`, because it is not implemented yet.
    `` | `public void` | `remove()`
    `` | `public void` | `remove()`
    `` | `protected void` | `replaceBody(Object newValue)`
    `` | `protected void` | `replaceNode(Closure newValue)`
    `` | `public int` | `size()`
    `` | `public String` | `text()`
    `` | `public Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, createIterator, declareNamespace, depthFirst, doCall, doCall, equals, find, findAll, getAt, getAt, getAttribute, getBody, getProperty, hasNext, hasNext, hasNext, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, next, next, next, nodeIterator, parent, parents, plus, pop, putAt, remove, remove, remove, replaceBody, replaceNode, setAttribute, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public NodeChildren(GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespacePrefix` - the namespace prefix if any
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public NodeChildren(GPathResult parent, String name, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public NodeChildren(GPathResult parent, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### protected void appendNode(Object newValue)

    - #### public void build(GroovyObject builder)

    - #### public Iterator childNodes()

    - #### public GPathResult find(Closure closure)

    - #### public GPathResult findAll(Closure closure)

    - #### protected Object getNextNode(Iterator iter)

    - #### public boolean hasNext()

    - #### public Iterator iterator()

    - #### public Object next()

    - #### public Iterator nodeIterator()

    - #### public GPathResult parents()

      Throws a `GroovyRuntimeException`, because it is not implemented yet.

    - #### public void remove()

    - #### protected void replaceBody(Object newValue)

    - #### protected void replaceNode(Closure newValue)

    - #### public int size()

    - #### public String text()

    - #### public Writer writeTo(Writer out)